/*
 * tz.h
 *
 *
 *  Created on: 30-04-2014
 *      Author: KJ
 */

#ifndef TZ8_H_
#define TZ8_H_

/*
#include <stdint.h>
#define u8 uint8_t
#define u16 uint16_t
#define u32 uint32_t

struct  binary_io
{
	int yyyy;
};

struct lg_men
{
	u8 * nets_data;	
};
*/
#include "tdefs.h"

struct tz_8_logic
{
	u8 *out_ptr[8];
	u8 out_bit_no[8];
	
	u8 *in_ptr[8];
	u8 in_bit_no[8];
	
	u32 t_cnt[8];

};

struct tz_8_io
{
	u32 in1;
	u32 in2;
	u32 in3;
	u32 in4;
	u32 in5;
	u32 in6;
	u32 in7;
	u32 in8;
	u32 out1;
	u32 out2;
	u32 out3;
	u32 out4;
	u32 out5;
	u32 out6;
	u32 out7;
	u32 out8;
}__attribute__((__packed__));

struct tz_8_params
{
	u32 t_delay;
}__attribute__((__packed__));

struct tz_8_args
{
	struct tz_8_io io;
	struct tz_8_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void tz_8(void *args, void *logic);
extern int tz_8_initlog(void *args, void *logic);

#endif /* TZ8_H_ */
